Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Class Ferror

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.wtc.jatmi.Ferror

All Implemented Interfaces:
  Serializable

    public final class Ferror

extends Exception

This is the Ferror exception many FML functions throw

See Also:
  `FML`, Serialized Form

Field Summary
`static int` | `FALIGNERR` Buffer is not aligned properly
`static int` | `FBADACM` Reserved
`static int` | `FBADFLD` Invalid field id
`static int` | `FBADNAME` Invalid field name
`static int` | `FBADTBL` Bad field table
`static int` | `FBADVIEW` Bad view table
`static int` | `FEBADOP` Invalid operation on buffer
`static int` | `FEINVAL` Invalid input parameter
`static int` | `FEUNIX` Operating system error
`static int` | `FFTOPEN` Could not open field table
`static int` | `FFTSYNTAX` Invalid syntax
`static int` | `FMALLOC` Error allocating space
`static int` | `FMAXVAL` Maximal Ferror value
`static int` | `FMINVAL` Minimum Fml Error value
`static int` | `FNOCNAME` Reserved
`static int` | `FNOSPACE` No space in object
`static int` | `FNOTFLD` Buffer is not fielded
`static int` | `FNOTPRES` Field not present
`static int` | `FSYNTAX` Invalid syntax
`static int` | `FTYPERR` Invalid field type
`static int` | `FVFOPEN` Could not open view table
`static int` | `FVFSYNTAX` Bad view syntax

Constructor Summary
`Ferror()` Default constructor, set errno to FMINVAL
`Ferror(int errno)` Constructor which initializes the errno to the input parameter
`Ferror(int errno, String explain)` Constructor which initializes the errno to the input parameter as well as an explanation string

Method Summary
`static String` | `Fstrerror(int Ferror)` Returns a string version of the Ferror error number given
`int` | `getFerror()` Returns the Ferror variable
`String` | `toString()` Produces a string version of this object

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FMINVAL

    public static final int FMINVAL

  Minimum Fml Error value

  See Also:
    Constant Field Values

### FALIGNERR

    public static final int FALIGNERR

  Buffer is not aligned properly

  See Also:
    Constant Field Values

### FNOTFLD

    public static final int FNOTFLD

  Buffer is not fielded

  See Also:
    Constant Field Values

### FNOSPACE

    public static final int FNOSPACE

  No space in object

  See Also:
    Constant Field Values

### FNOTPRES

    public static final int FNOTPRES

  Field not present

  See Also:
    Constant Field Values

### FBADFLD

    public static final int FBADFLD

  Invalid field id

  See Also:
    Constant Field Values

### FTYPERR

    public static final int FTYPERR

  Invalid field type

  See Also:
    Constant Field Values

### FEUNIX

    public static final int FEUNIX

  Operating system error

  See Also:
    Constant Field Values

### FBADNAME

    public static final int FBADNAME

  Invalid field name

  See Also:
    Constant Field Values

### FMALLOC

    public static final int FMALLOC

  Error allocating space

  See Also:
    Constant Field Values

### FSYNTAX

    public static final int FSYNTAX

  Invalid syntax

  See Also:
    Constant Field Values

### FFTOPEN

    public static final int FFTOPEN

  Could not open field table

  See Also:
    Constant Field Values

### FFTSYNTAX

    public static final int FFTSYNTAX

  Invalid syntax

  See Also:
    Constant Field Values

### FEINVAL

    public static final int FEINVAL

  Invalid input parameter

  See Also:
    Constant Field Values

### FBADTBL

    public static final int FBADTBL

  Bad field table

  See Also:
    Constant Field Values

### FBADVIEW

    public static final int FBADVIEW

  Bad view table

  See Also:
    Constant Field Values

### FVFSYNTAX

    public static final int FVFSYNTAX

  Bad view syntax

  See Also:
    Constant Field Values

### FVFOPEN

    public static final int FVFOPEN

  Could not open view table

  See Also:
    Constant Field Values

### FBADACM

    public static final int FBADACM

  Reserved

  See Also:
    Constant Field Values

### FNOCNAME

    public static final int FNOCNAME

  Reserved

  See Also:
    Constant Field Values

### FEBADOP

    public static final int FEBADOP

  Invalid operation on buffer

  See Also:
    Constant Field Values

### FMAXVAL

    public static final int FMAXVAL

  Maximal Ferror value

  See Also:
    Constant Field Values

Constructor Detail

### Ferror

    public Ferror()

  Default constructor, set errno to FMINVAL

### Ferror

    public Ferror(int errno)

  Constructor which initializes the errno to the input parameter

  Parameters:
    `errno` - The initial error number

### Ferror

    public Ferror(int errno,
                  String explain)

  Constructor which initializes the errno to the input parameter as well as an explanation string

  Parameters:
    `errno` - The initial error number
    `explain` - An explanation for the error

Method Detail

### getFerror

    public int getFerror()

  Returns the Ferror variable

  Returns:
    Ferror

### Fstrerror

    public static String Fstrerror(int Ferror)

  Returns a string version of the Ferror error number given

  Parameters:
    `Ferror` - The Ferror for which to get a string representation
  Returns:
    A string version of the Ferror given

### toString

    public String toString()

  Produces a string version of this object

  Overrides:
    `toString` in class `Throwable`
  Returns:
    A string version of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD